# scalable_allocator.h File Reference

Go to the source code of this file.

## Classes
struct | rml::MemPoolPolicy
class | tbb::scalable_allocator< T >
| Meets "allocator" requirements of ISO C++ Standard, Section 20.1.5. More...
struct | tbb::scalable_allocator< T >::rebind< U >
class | tbb::scalable_allocator< void >
| Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1. More...
struct | tbb::scalable_allocator< void >::rebind< U >
## Namespaces
namespace | rml

| Assert that x is true.
namespace | tbb

| The namespace tbb contains all components of the library.
## Typedefs
typedef void *(* | rml::rawAllocType )(intptr_t pool_id, size_t &bytes)
typedef int(* | rml::rawFreeType )(intptr_t pool_id, void *raw_ptr, size_t raw_bytes)
## Enumerations
enum | MemPoolError { POOL_OK, INVALID_POLICY, UNSUPPORTED_POLICY, NO_MEMORY }
## Functions
void *__TBB_EXPORTED_FUNC | scalable_malloc (size_t size)
void __TBB_EXPORTED_FUNC | scalable_free (void *ptr)
void *__TBB_EXPORTED_FUNC | scalable_realloc (void *ptr, size_t size)
void *__TBB_EXPORTED_FUNC | scalable_calloc (size_t nobj, size_t size)
int __TBB_EXPORTED_FUNC | scalable_posix_memalign (void **memptr, size_t alignment, size_t size)
void *__TBB_EXPORTED_FUNC | scalable_aligned_malloc (size_t size, size_t alignment)
void *__TBB_EXPORTED_FUNC | scalable_aligned_realloc (void *ptr, size_t size, size_t alignment)
void __TBB_EXPORTED_FUNC | scalable_aligned_free (void *ptr)
size_t __TBB_EXPORTED_FUNC | scalable_msize (void *ptr)
MemPoolError | rml::pool_create_v1 (intptr_t pool_id, const MemPoolPolicy *policy, rml::MemoryPool **pool)
bool | rml::pool_destroy (MemoryPool *memPool)
void * | rml::pool_malloc (MemoryPool *memPool, size_t size)
void * | rml::pool_realloc (MemoryPool *memPool, void *object, size_t size)
void * | rml::pool_aligned_malloc (MemoryPool *mPool, size_t size, size_t alignment)
void * | rml::pool_aligned_realloc (MemoryPool *mPool, void *ptr, size_t size, size_t alignment)
bool | rml::pool_reset (MemoryPool *memPool)
bool | rml::pool_free (MemoryPool *memPool, void *object)
template<typename T , typename U >
bool | tbb::operator== (const scalable_allocator< T > &, const scalable_allocator< U > &)
template<typename T , typename U >
bool | tbb::operator!= (const scalable_allocator< T > &, const scalable_allocator< U > &)

## Detailed Description

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.